Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Mark

    java.lang.Object
      |
      +--org.apache.jasper.compiler.Mark

public final class Mark
extends java.lang.Object

Mark represents a point in the JSP input.

Author:
  Anil K. Vijendran

Method Summary
`boolean` | `equals(java.lang.Object other)`
`int` | `getColumnNumber()`
`java.lang.String` | `getFile()`
`int` | `getLineNumber()`
`java.lang.String` | `getPublicId()`
`java.lang.String` | `getSystemId()`
`boolean` | `popStream()` Restores this mark's state to a previously stored stream.
`void` | `pushStream(char[] inStream, int inFileid, java.lang.String name, java.lang.String inBaseDir, java.lang.String inEncoding)` Sets this mark's state to a new stream.
`java.lang.String` | `toShortString()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### pushStream

    public void pushStream(char[] inStream,
                           int inFileid,
                           java.lang.String name,
                           java.lang.String inBaseDir,
                           java.lang.String inEncoding)

  Sets this mark's state to a new stream. It will store the current stream in it's includeStack.
  Parameters:
    `inStream` - new stream for mark
    `inFileid` - id of new file from which stream comes from
    `inBaseDir` - directory of file
    `inEncoding` - encoding of new file

### popStream

    public boolean popStream()

  Restores this mark's state to a previously stored stream.

### getLineNumber

    public int getLineNumber()

### getColumnNumber

    public int getColumnNumber()

### getSystemId

    public java.lang.String getSystemId()

### getPublicId

    public java.lang.String getPublicId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFile

    public java.lang.String getFile()

### toShortString

    public java.lang.String toShortString()

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.